<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<name>Quantr Logic</name>
	<groupId>hk.quantr</groupId>
	<artifactId>quantr-logic</artifactId>
	<version>1.0</version>
	<packaging>nbm</packaging>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>
	<build>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>nbm-maven-plugin</artifactId>
				<version>3.13</version>
				<extensions>true</extensions>
				<configuration>
					<useOSGiDependencies>true</useOSGiDependencies>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>2.5.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<version>2.4</version>
				<configuration>
					<useDefaultManifestFile>true</useDefaultManifestFile>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<repositories>
		<repository>
			<id>netbeans</id>
			<name>Repository hosting NetBeans modules</name>
			<url>http://bits.netbeans.org/nexus/content/groups/netbeans</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
	</repositories>
	<dependencies>
		<dependency>
			<groupId>org.netbeans.api</groupId>
			<artifactId>org-netbeans-api-annotations-common</artifactId>
			<version>RELEASE110</version>
		</dependency>
		<dependency>
			<groupId>org.netbeans.api</groupId>
			<artifactId>org-openide-windows</artifactId>
			<version>RELEASE110</version>
		</dependency>
		<dependency>
			<groupId>org.netbeans.api</groupId>
			<artifactId>org-openide-util</artifactId>
			<version>RELEASE110</version>
		</dependency>
		<dependency>
			<groupId>org.netbeans.api</groupId>
			<artifactId>org-openide-util-ui</artifactId>
			<version>RELEASE110</version>
		</dependency>
		<dependency>
			<groupId>org.netbeans.api</groupId>
			<artifactId>org-openide-util-lookup</artifactId>
			<version>RELEASE110</version>
		</dependency>
		<dependency>
			<groupId>org.netbeans.api</groupId>
			<artifactId>org-openide-awt</artifactId>
			<version>RELEASE110</version>
		</dependency>
		<dependency>
			<groupId>org.netbeans.api</groupId>
			<artifactId>org-netbeans-modules-settings</artifactId>
			<version>RELEASE110</version>
		</dependency>
	</dependencies>
</project>